cfgnor.h File Reference

CFGNOR service. More...

Go to the source code of this file.

## Functions

Result | cfgnorInit (u8 value)
| Initializes CFGNOR. More...
void | cfgnorExit (void)
| Exits CFGNOR.
Result | cfgnorDumpFlash (u32 *buf, u32 size)
| Dumps the NOR flash. More...
Result | cfgnorWriteFlash (u32 *buf, u32 size)
| Writes the NOR flash. More...
Result | CFGNOR_Initialize (u8 value)
| Initializes the CFGNOR session. More...
Result | CFGNOR_Shutdown (void)
| Shuts down the CFGNOR session.
Result | CFGNOR_ReadData (u32 offset, u32 *buf, u32 size)
| Reads data from NOR. More...
Result | CFGNOR_WriteData (u32 offset, u32 *buf, u32 size)
| Writes data to NOR. More...

## Detailed Description

CFGNOR service.

## Function Documentation

## CFGNOR_Initialize()

Result CFGNOR_Initialize | ( | u8 | value | ) |

Initializes the CFGNOR session.

Parameters

  value | Unknown, usually 1.

## CFGNOR_ReadData()

Result CFGNOR_ReadData | ( | u32 | offset,
|  | u32 * | buf,
|  | u32 | size
| ) |  |

Reads data from NOR.

Parameters

  offset | Offset to read from.
  buf | Buffer to read data to.
  size | Size of the buffer.

## CFGNOR_WriteData()

Result CFGNOR_WriteData | ( | u32 | offset,
|  | u32 * | buf,
|  | u32 | size
| ) |  |

Writes data to NOR.

Parameters

  offset | Offset to write to.
  buf | Buffer to write data from.
  size | Size of the buffer.

## cfgnorDumpFlash()

Result cfgnorDumpFlash | ( | u32 * | buf,
|  | u32 | size
| ) |  |

Dumps the NOR flash.

Parameters

  buf | Buffer to dump to.
  size | Size of the buffer.

## cfgnorInit()

Result cfgnorInit | ( | u8 | value | ) |

Initializes CFGNOR.

Parameters

  value | Unknown, usually 1.

## cfgnorWriteFlash()

Result cfgnorWriteFlash | ( | u32 * | buf,
|  | u32 | size
| ) |  |

Writes the NOR flash.

Parameters

  buf | Buffer to write from.
  size | Size of the buffer.